Lost automations on upgrade

Hi,

After updating HASS to the latest version I’ve lost my automations.
Beside upgrading did not change anything in the automation.

I’ve tried to restore a back-up, but no effect.
If I used the file editor I can see that the files are still there.

I do see some errors in my log but cannot see how not chancing anything ruined my setting.

See my log attached

Log:

2022-10-08 15:26:02.308 ERROR (MainThread) [homeassistant.config] Invalid config for [automation]: [seconds] is an invalid option for [automation]. Check: automation->seconds. (See /config/configuration.yaml, line 18). 
2022-10-08 15:26:02.324 INFO (SyncWorker_4) [homeassistant.loader] Loaded light from homeassistant.components.light
2022-10-08 15:26:02.334 ERROR (MainThread) [homeassistant.config] Invalid config for [automation]: required key not provided @ data['trigger'][0]['platform']. Got None. (See /config/configuration.yaml, line 18). 
2022-10-08 15:26:06.606 ERROR (MainThread) [homeassistant.config] Unknown error calling automation config validator
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/device_automation/action.py", line 61, in async_validate_action_config
    return cast(ConfigType, platform.ACTION_SCHEMA(config))
  File "/usr/local/lib/python3.10/site-packages/voluptuous/schema_builder.py", line 272, in __call__
    return self._compiled([], data)
  File "/usr/local/lib/python3.10/site-packages/voluptuous/schema_builder.py", line 595, in validate_dict
    return base_validate(path, iteritems(data), out)
  File "/usr/local/lib/python3.10/site-packages/voluptuous/schema_builder.py", line 433, in validate_mapping
    raise er.MultipleInvalid(errors)
voluptuous.error.MultipleInvalid: extra keys not allowed @ data['color_name']

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 113, in _try_async_validate_config_item
    validated_config = await async_validate_config_item(hass, config, full_config)
  File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 89, in async_validate_config_item
    config[CONF_ACTION] = await script.async_validate_actions_config(
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 259, in async_validate_actions_config
    return await asyncio.gather(
  File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 274, in async_validate_action_config
    config = await device_action.async_validate_action_config(hass, config)
  File "/usr/src/homeassistant/homeassistant/components/device_automation/action.py", line 63, in async_validate_action_config
    raise vol.Invalid("invalid action configuration: " + str(err)) from err
voluptuous.error.Invalid: invalid action configuration: extra keys not allowed @ data['color_name']

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config.py", line 820, in async_process_component_config
    return await config_validator.async_validate_config(  # type: ignore[no-any-return]
  File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 136, in async_validate_config
    await asyncio.gather(
  File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 120, in _try_async_validate_config_item
    async_log_exception(ex, DOMAIN, full_config or config, hass)
  File "/usr/src/homeassistant/homeassistant/config.py", line 454, in async_log_exception
    message, is_friendly = _format_config_error(ex, domain, config, link)
  File "/usr/src/homeassistant/homeassistant/config.py", line 472, in _format_config_error
    f"[{ex.path[-1]}] is an invalid option for [{domain}]. "
IndexError: list index out of range
2022-10-08 15:26:06.636 ERROR (MainThread) [homeassistant.setup] Setup failed for automation: Invalid config.
2022-10-08 15:26:08.762 ERROR (MainThread) [homeassistant.components.switch] The rfxtrx platform for the switch integration does not support platform setup. Please remove it from your config.
2022-10-08 15:26:16.785 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of default_config. Setup failed for dependencies: automation
2022-10-08 15:26:16.788 ERROR (MainThread) [homeassistant.setup] Setup failed for default_config: (DependencyError(...), 'Could not setup dependencies: automation')
2022-10-08 15:26:22.982 ERROR (MainThread) [homeassistant.bootstrap] Error setting up integration switch.deurbel - received exception
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 79, in async_setup_component
    return await task
  File "/usr/src/homeassistant/homeassistant/setup.py", line 166, in _async_setup_component
    integration = await loader.async_get_integration(hass, domain)
  File "/usr/src/homeassistant/homeassistant/loader.py", line 768, in async_get_integration
    raise int_or_exc
ValueError: Invalid domain switch.deurbel

My configuratioin.yaml looks like:

# Configure a default setup of Home Assistant (frontend, api, etc)
default_config:

# Deurbel
switch:
  platform: rfxtrx
  automatic_add: True
  devices:
    0b1100d001487be201040f70:
        name: Deurbel
        fire_event: True

# Text to speech
tts:
  - platform: google_translate

# group: !include groups.yaml
automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml

# Buienradar sensor
sensor:
  - platform: buienradar
    monitored_conditions:
      - symbol
      - temperature
      - humidity
      - windspeed
      - pressure
      - conditioncode
      - conditionexact
      
# Buienradar verwachting
weather:
  - platform: buienradar
    name: 'Wageningen'
    # Force 'Meetstation Wageningen' to be used:
    latitude: 51.9798453
    longitude: 5.6626083
    forecast: true
    
# Telegram Bot
telegram_bot:
  - platform: polling
    api_key: XXXXXXXXXXXX
    allowed_chat_ids:
      - 10084171

# Telegram Bot naam
notify:
  - name: telegram
    platform: telegram
    chat_id: 10084171
    
# RFXtrx

rfxtrx:
  device: /dev/ttyUSB0

logger:
  default: info
  logs:
     homeassistant.components.zeroconf: debug
     homeassistant.components.ipp: debug
     
     
# Yamaha receiver 475
media_player:
  - platform: yamaha
  
# Kaku deurbell switch
switch.deurbel:
   friendly_name: 'Deurbel'
   icon: mdi:bell-ring
   assumed_state: false
  

Hi,

I don’t know how but the problem is solved.
Disabled some automations in the automations.yaml. Yet another update and the system is running again.